Backup erstellen - Status abfragen

POST /vm/:vmid/backup/create/status

URL Variablen

Name Beschreibung
vmid Identifier der VM (fünfstellige Zahl)

Body Parameter (application/x-www-form-urlencoded)

Name Format Beschreibung Optional
backup_id String Backup-ID des Backups

Response (application/json)

{4 Eigenschaften
  "status": "success",
  "requestID": "ba0bfbbd-6fca-4625-bf7d-5b8982134417",
  "message": "VM backup task result is shown below",
  "data": {2 Eigenschaften
    "status": "pending",
    "progress": {3 Eigenschaften
      "percentage": 14,
      "data_stored": 1.4,
      "total_data": 10
    }
  }
}
{4 Eigenschaften
  "status": "success",
  "requestID": "0e641db9-4528-403d-9bb1-772987553b33",
  "message": "VM backup task result is shown below",
  "data": {2 Eigenschaften
    "status": "finished",
    "progress": null
  }
}

cURL

curl -X POST 'https://live.fireapi.de/vm/:vmid/backup/create/status' \
  -H 'X-FIRE-APIKEY: YOUR-API-KEY' \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -d 'backup_id=VALUE'